MantisBT

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0002825ardourfeaturespublic2009-08-13 03:382010-10-29 09:18
Reporteroofus 
Assigned Tocth103 
PrioritynormalSeverityfeatureReproducibilityN/A
StatusclosedResolutionfixed 
PlatformDell D830 core2duo T9300 2.5GHzOSMandrivaOS Version2009.1
Product VersionSVN/2.0-ongoing 
Target Version3.XFixed in Version 
Summary0002825: Option, when normalising, to specify what is used as the peak reference when multiple regions are selected.
DescriptionOption, when normalising, to specify what is used as the peak reference when multiple regions are selected.

When multiple regions are selected for normalising two options should be available. 1) Normalise each region independently. 2) Use the highest peak of all the regions as the reference.
TagsNo tags attached.
Attached Files

- Relationships

-  Notes
(0006526)
nettings (manager)
2009-08-14 02:31

is it at all possible to normalize multiple regions in ardour 2.0-ongoing? if so, how? (it would be great if it were.)

if multiple regions are being normalized, the default should always be relative normalization (i.e. to the highest peak in any of the selected regions), so that the relative levels aren't changed.
(0006527)
oofus (developer)
2009-08-14 02:47

Well, I had just assumed that selecting multiple regions would give a normalise option in the context menu. I was wrong. So, a bug report required first, 'normalise option is missing from the context menu when multiple regions are selected'. I have a feeling it used to be there, but maybe I'm wrong.

Agree that the default should be relative normalisation.
(0006528)
seablade (manager)
2009-08-14 12:16

Yes it is possible to normalize multiple regions at once, I have done it multiple times. I think I either went through the top menu, or used the shortcut to do it.

      Seablade
(0008945)
oofus (developer)
2010-08-29 12:36

Both of these issues have now been addressed in 3.x. When multiple regions are selected the right click context menu now contains a normalise option. The resulting dialogue now has an option for normalising across all regions, however I think the wording is unclear, it doesn't convey what the option setting will do. Suggest the wording and control be changed to two radio buttons with labels : "Normalise regions individually" and "Normalise regions relatively", or something very similar.
(0009304)
oofus (developer)
2010-10-25 16:00

Text still not changed so current text still confusing me ! Also suggest adding a progress bar. I just normalised a selection of large regions and it took 30 seconds +. Wasn't sure if the job was being done or Ardour had frozen.
(0009307)
cth103 (administrator)
2010-10-25 17:31

Should all be fixed in SVN.
(0009308)
oofus (developer)
2010-10-25 17:43
edited on: 2010-10-26 04:39

Getting better. Progress bar doesn't seem to work. ie the progress bar doesn't progress during normalising. It sometimes shows some progress but not until all the normalising has been done. Also normalising using the highest peak across the selected regions doesn't seem to work. The regions end up slightly louder but not to the level that they would be if they were done individually, taking into account the average level of those regions. Normalising all the selected regions individually does work.

(0009312)
oofus (developer)
2010-10-28 18:50

All issues fixed, and a few more addressed.
(0009322)
oofus (developer)
2010-10-29 09:18

see notes

- Issue History
Date Modified Username Field Change
2009-08-13 03:38 oofus New Issue
2009-08-14 02:31 nettings Note Added: 0006526
2009-08-14 02:47 oofus Note Added: 0006527
2009-08-14 12:16 seablade Note Added: 0006528
2009-08-14 12:38 seablade Status new => acknowledged
2010-07-22 05:59 oofus cost => 0.00
2010-07-22 05:59 oofus Target Version => 3.X
2010-08-29 12:36 oofus Note Added: 0008945
2010-10-25 16:00 oofus Note Added: 0009304
2010-10-25 17:31 cth103 Note Added: 0009307
2010-10-25 17:31 cth103 Status acknowledged => resolved
2010-10-25 17:31 cth103 Resolution open => fixed
2010-10-25 17:31 cth103 Assigned To => cth103
2010-10-25 17:43 oofus Note Added: 0009308
2010-10-25 17:43 oofus Status resolved => feedback
2010-10-25 17:43 oofus Resolution fixed => reopened
2010-10-26 04:39 oofus Note Edited: 0009308
2010-10-28 18:50 oofus Note Added: 0009312
2010-10-28 18:50 oofus Status feedback => resolved
2010-10-28 18:50 oofus Resolution reopened => fixed
2010-10-29 09:18 oofus Note Added: 0009322
2010-10-29 09:18 oofus Status resolved => closed


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker